<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="Item Barang Terjual Tanpa MFG" pageWidth="1458" pageHeight="922" orientation="Landscape" columnWidth="1458" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" isIgnorePagination="true" uuid="5b6edada-047b-46c8-8745-90dea9f27b94">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="net.sf.jasperreports.export.xls.detect.cell.type" value="true"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<subDataset name="MasterOrganisation" uuid="dba24a11-5fd1-4360-91d2-0dc7f42cbcaa">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="goopo"/>
		<queryString language="SQL">
			<![CDATA[select name from tbmasterorganisation where id in (1,7)]]>
		</queryString>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		</field>
		<group name="name">
			<groupExpression><![CDATA[$F{name}]]></groupExpression>
		</group>
	</subDataset>
	<subDataset name="Date Terahir Tanggal Diterima" uuid="9de174eb-0820-426f-be90-3555d927bda3">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="goopo"/>
		<parameter name="customerId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[select max(tbsettlement.receive_date)
	
from tbinvoice
inner join tbcustomer on tbinvoice.customer = tbcustomer.id
inner join tbinvoicepaymentsettlement on tbinvoice.id = tbinvoicepaymentsettlement.invoice
inner join tbsettlement on tbinvoicepaymentsettlement.settlement_id = tbsettlement.id
inner join tbinvoicepayment on tbinvoicepaymentsettlement.invoice_payment_id = tbinvoicepayment.id

where tbcustomer.id = $P{customerId} AND tbsettlement.receive_date = (select max(tbsettlement.receive_date) from tbsettlement)]]>
		</queryString>
		<field name="max(tbsettlement.receive_date)" class="java.sql.Date">
			<property name="com.jaspersoft.studio.field.name" value="max(tbsettlement.receive_date)"/>
			<property name="com.jaspersoft.studio.field.label" value="max(tbsettlement.receive_date)"/>
		</field>
		<group name="max(tbsettlement.receive_date)">
			<groupExpression><![CDATA[$F{max(tbsettlement.receive_date)}]]></groupExpression>
		</group>
	</subDataset>
	<subDataset name="Uang Terahir Di terima" uuid="c6dfe85c-3f94-44a7-b068-47a42ba52dfc">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="goopo"/>
		<parameter name="customerId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[select max(tbinvoicepaymentsettlement.amount)
	
from tbinvoice
inner join tbcustomer on tbinvoice.customer = tbcustomer.id
inner join tbinvoicepaymentsettlement on tbinvoice.id = tbinvoicepaymentsettlement.invoice
inner join tbsettlement on tbinvoicepaymentsettlement.settlement_id = tbsettlement.id
inner join tbinvoicepayment on tbinvoicepaymentsettlement.invoice_payment_id = tbinvoicepayment.id

where tbcustomer.id = 395 AND tbsettlement.receive_date = (select max(tbsettlement.receive_date) from tbsettlement)]]>
		</queryString>
		<field name="max(tbinvoicepaymentsettlement.amount)" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="max(tbinvoicepaymentsettlement.amount)"/>
			<property name="com.jaspersoft.studio.field.label" value="max(tbinvoicepaymentsettlement.amount)"/>
		</field>
		<group name="max(tbinvoicepaymentsettlement.amount)">
			<groupExpression><![CDATA[$F{max(tbinvoicepaymentsettlement.amount)}]]></groupExpression>
		</group>
	</subDataset>
	<parameter name="dariTanggal" class="java.lang.String"/>
	<parameter name="sampaiTanggal" class="java.lang.String"/>
	<parameter name="gudang" class="java.lang.String"/>
	<parameter name="bahanBaku" class="java.lang.String"/>
	<queryString>
		<![CDATA[select tbproduct.name as nama_item,
	tbproduct.code as kode_item,
	tbinvoice.invoicecode as nomor_faktur,
	tbinvoice.invoicedate as tanggal_faktur,
	tbcustomer.name as nama_customer,
	sum(tbinvoiceitem.quantity) as jumlah_pack,
	sum(tbinvoiceitem.weight) as jumlah_kg,
	sum(tbinvoiceitem.unitprice) as harga_satuan,
	sum(tbinvoiceitem.amount) as total_harga,
	tbwarehousefacility.name as nama_gudang,
	slpp.sale_price as pricebook_category,
	tbmeattype.id
	
from tbproduct
inner join tbmeattype on tbmeattype.id = tbproduct.meat_type_id
inner join tbinvoiceitem on tbproduct.id = tbinvoiceitem.product
inner join tbinvoice on tbinvoiceitem.invoice = tbinvoice.id
inner join tbwarehousefacility on tbinvoice.source = tbwarehousefacility.id
inner join tbcustomer on tbinvoice.customer = tbcustomer.id
left join tbsalepricebook slp on slp.id = tbcustomer.salepricebook
left join tbsalepricebookprice slpp on slpp.salepricebook = slp.pricebook_reference and slpp.product = tbinvoiceitem.product

where tbmeattype.id in ($P!{bahanBaku}) and DATE(tbinvoice.invoicedate) BETWEEN $P{dariTanggal} and $P{sampaiTanggal}
and tbwarehousefacility.id in ($P!{gudang}) and tbinvoice.status !=4
GROUP BY tbproduct.name, tbproduct.code, tbinvoice.invoicecode, tbinvoice.invoicedate,
	tbcustomer.name, tbwarehousefacility.name,slpp.sale_price,tbmeattype.id 
	Order by tbproduct.code, tbmeattype.id , tbinvoice.invoicedate]]>
	</queryString>
	<field name="nama_item" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="nama_item"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="kode_item" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="code"/>
		<property name="com.jaspersoft.studio.field.label" value="kode_item"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
	</field>
	<field name="nomor_faktur" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.label" value="nomor_faktur"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="tanggal_faktur" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.label" value="tanggal_faktur"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<field name="nama_customer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="nama_customer"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="jumlah_pack" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jumlah_pack"/>
		<property name="com.jaspersoft.studio.field.label" value="jumlah_pack"/>
	</field>
	<field name="jumlah_kg" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="jumlah_kg"/>
		<property name="com.jaspersoft.studio.field.label" value="jumlah_kg"/>
	</field>
	<field name="harga_satuan" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="harga_satuan"/>
		<property name="com.jaspersoft.studio.field.label" value="harga_satuan"/>
	</field>
	<field name="total_harga" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="total_harga"/>
		<property name="com.jaspersoft.studio.field.label" value="total_harga"/>
	</field>
	<field name="nama_gudang" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="nama_gudang"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbwarehousefacility"/>
	</field>
	<field name="pricebook_category" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="sale_price"/>
		<property name="com.jaspersoft.studio.field.label" value="pricebook_category"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbsalepricebookprice"/>
	</field>
	<field name="id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmeattype"/>
	</field>
	<group name="bahanBaku">
		<groupExpression><![CDATA[$F{kode_item}]]></groupExpression>
		<groupHeader>
			<band height="22">
				<textField>
					<reportElement x="0" y="0" width="1408" height="22" uuid="d1b0b7a1-84f5-4e25-83cc-033ff433a2f5"/>
					<box leftPadding="4">
						<topPen lineWidth="0.75"/>
						<leftPen lineWidth="0.75"/>
						<bottomPen lineWidth="0.75"/>
						<rightPen lineWidth="0.75"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{kode_item} + " - " + $F{nama_item}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="84" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="1408" height="30" uuid="43959e77-d59f-49a9-b3d7-e6037dd11e90"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[RINCIAN PENJUALAN PER ITEM]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="30" width="209" height="19" uuid="2d2866e2-bcf4-4d62-a60e-f65815e94adb">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Dari Tanggal]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="68" width="159" height="16" uuid="8ed8d880-397b-4a50-bb9f-93f8290e32ab">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Nomor Faktur]]></text>
			</staticText>
			<staticText>
				<reportElement x="159" y="68" width="141" height="16" uuid="b537bf96-e323-416b-bb16-15f78244c39f">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal Faktur]]></text>
			</staticText>
			<staticText>
				<reportElement x="715" y="68" width="91" height="16" uuid="bfbec7c5-a2fa-4022-a2ec-0963740965bc">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Jumlah (KG)]]></text>
			</staticText>
			<staticText>
				<reportElement x="806" y="68" width="138" height="16" uuid="2d20530d-2608-4183-bf36-9ad3947b3aa9">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Harga Satuan (pack / kg)]]></text>
			</staticText>
			<staticText>
				<reportElement x="300" y="68" width="265" height="16" uuid="b8e0dd0b-0c58-43e6-9175-5952279c1647">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Nama Customer]]></text>
			</staticText>
			<staticText>
				<reportElement x="565" y="68" width="150" height="16" uuid="c7449e00-5398-4b32-a945-840cd600edad">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Jumlah (pack / Whole)]]></text>
			</staticText>
			<staticText>
				<reportElement x="944" y="68" width="154" height="16" uuid="d57c9606-0ed4-47ca-ad25-e977a0f0a815">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Total Harga]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="49" width="209" height="19" uuid="fb1d3947-ca3c-4886-9bb1-29e610e81e48">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Sampai Tanggal]]></text>
			</staticText>
			<textField>
				<reportElement x="209" y="30" width="1199" height="19" uuid="bb612558-210d-4ec4-971b-b099bb5bfbd8"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("dd/MM/yyyy").format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{dariTanggal}))]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="209" y="49" width="1199" height="19" uuid="3ed569c6-9c1a-424e-aa81-f4c484890240"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("dd/MM/yyyy").format(new java.text.SimpleDateFormat("yyyy-MM-dd").parse($P{sampaiTanggal}))]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="1098" y="68" width="155" height="16" uuid="8bc73cf8-e51d-4f02-b6f1-e9de82307a74">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Nama Gudang]]></text>
			</staticText>
			<staticText>
				<reportElement x="1253" y="68" width="155" height="16" uuid="e86f47df-7fd3-406a-8bcb-ecaa6d61b27a">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[PRICE BOOK KATEGORI]]></text>
			</staticText>
		</band>
	</title>
	<detail>
		<band height="16" splitType="Stretch">
			<textField>
				<reportElement x="159" y="0" width="141" height="16" uuid="206f47fc-4164-4fcc-9132-c43d2de769e8">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[new java.text.SimpleDateFormat("dd MMMM yyyy", new java.util.Locale("id")).format($F{tanggal_faktur})]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00#;#,##0.00#-">
				<reportElement x="715" y="0" width="91" height="16" uuid="aaa91013-aee9-4331-aab4-7b962193865c">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="0" rightPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jumlah_kg}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0">
				<reportElement x="944" y="0" width="154" height="16" uuid="1e75ff88-f377-4464-8fa7-558af117f54b">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="0" rightPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{total_harga}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00#;#,##0.00#-">
				<reportElement x="565" y="0" width="150" height="16" uuid="8db2ef82-0f9b-4fbf-a568-ca3de6607b81">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="0" rightPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{jumlah_pack}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="300" y="0" width="265" height="16" uuid="94020820-ad03-42cb-be4c-56aa975d83ca">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nama_customer}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0">
				<reportElement x="806" y="0" width="138" height="16" uuid="3035627c-2d24-4e6a-8fc6-f11da320b595">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="0" rightPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{harga_satuan}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1098" y="0" width="155" height="16" uuid="79b072bb-f11e-44fa-97a1-796aaeb9b067">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nama_gudang}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0">
				<reportElement x="1253" y="0" width="155" height="16" uuid="5d278c9c-c160-49ea-a7fc-174742d2cf3a">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle" markup="none"/>
				<textFieldExpression><![CDATA[$F{pricebook_category}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="159" height="16" uuid="87c36cc3-0caf-4d61-a8ae-2e36485961dc">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box leftPadding="3">
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nomor_faktur}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
